> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Products

> List all Products



## OpenAPI

````yaml product.latest.product.live GET /products
openapi: 3.0.0
info:
  title: Product
  description: Product API
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /products:
    servers: []
    parameters: []
    get:
      tags:
        - Products
      summary: List all Products
      description: List all Products
      operationId: getProducts
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: name
          in: query
          description: Filter by name
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.next` or `pagination.previous` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Stable20240509ListResponseModel'
                example:
                  items:
                    - id: 994d23f7-47b6-43ee-af6b-cd27181196b6
                      name: Fixed priced product
                      label: Fixed priced product - UK
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                Stable20240509ListResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 994d23f7-47b6-43ee-af6b-cd27181196b6
                        name: Fixed priced product
                        label: Fixed priced product - UK
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    Stable20240509ListResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 994d23f7-47b6-43ee-af6b-cd27181196b6
            name: Fixed priced product
            label: Fixed priced product - UK
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Products
          example:
            - id: 994d23f7-47b6-43ee-af6b-cd27181196b6
              name: Fixed priced product
              label: Fixed priced product - UK
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
          items:
            $ref: '#/components/schemas/Stable20240509ProductResponse'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    Stable20240509ProductResponse:
      required:
        - createdAt
        - id
        - name
        - updatedAt
      type: object
      example:
        id: 994d23f7-47b6-43ee-af6b-cd27181196b6
        name: Fixed priced product
        label: Fixed priced product - UK
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
      properties:
        id:
          type: string
          description: Product ID
          example: 994d23f7-47b6-43ee-af6b-cd27181196b6
        name:
          type: string
          description: Name of the Product, this appears within Sequence's dashboard.
          example: Fixed priced product
        label:
          type: string
          description: >-
            The internal description of the product. This can be used to
            maintain some explanation or comments regarding the product.
          example: Fixed priced product - UK
        createdAt:
          type: string
          description: >-
            Time at which the Product was first created, in ISO 8601 format
            (UTC). This is set by the server and cannot be changed. Expect
            millisecond precision.
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: >-
            Time at which the Product was last updated, in ISO 8601 format
            (UTC). Expect millisecond precision.
          example: '2022-06-28T16:47:00Z'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10

````